summaryrefslogtreecommitdiff
path: root/jessie-amd64-benchmark/configure
diff options
context:
space:
mode:
Diffstat (limited to 'jessie-amd64-benchmark/configure')
-rwxr-xr-xjessie-amd64-benchmark/configure40
1 files changed, 40 insertions, 0 deletions
diff --git a/jessie-amd64-benchmark/configure b/jessie-amd64-benchmark/configure
new file mode 100755
index 0000000..9e2bacd
--- /dev/null
+++ b/jessie-amd64-benchmark/configure
@@ -0,0 +1,40 @@
+#!/bin/sh
+
+# (C) 2012-2015 Fathi Boudra <fathi.boudra@linaro.org>
+
+# Create configuration for live-build.
+
+# You need live-build package installed.
+
+set -e
+
+echo "I: create configuration"
+export LB_BOOTSTRAP_INCLUDE="apt-transport-https gnupg"
+lb config \
+ --apt-indices none \
+ --apt-secure true \
+ --apt-recommends false \
+ --architectures amd64 \
+ --archive-areas 'main' \
+ --binary-filesystem ext4 \
+ --binary-images tar \
+ --cache false \
+ --chroot-filesystem none \
+ --compression gzip \
+ --debootstrap-options "--variant=minbase" \
+ --distribution jessie \
+ --gzip-options '-9 --rsyncable' \
+ --iso-publisher 'Linaro; http://www.linaro.org/; linaro-dev@lists.linaro.org' \
+ --iso-volume 'Linaro Jessie $(date +%Y%m%d-%H:%M)' \
+ --linux-flavours none \
+ --linux-packages none \
+ --mode debian \
+ --security false \
+ --system normal \
+ --updates false \
+ --backports false
+
+echo "I: copy customization"
+test -d customization && cp -rf customization/* config/
+
+echo "I: done"